Page MenuHomePhabricator

[libclang] [OpenCL] Expose half type
ClosedPublic

Authored by svenvh on Feb 8 2017, 7:08 AM.

Details

Summary

Expose the half type (fp16) through libclang and the python bindings.

It seems CXType_LastBuiltin was not updated in b2ea6d9 ("Enable
support for __float128 in Clang", 2016-04-13), so update it now.

Add an Index test for OpenCL types; in the future we will add other
OpenCL types such as images to this test.

Diff Detail

Repository
rL LLVM

Event Timeline

svenvh created this revision.Feb 8 2017, 7:08 AM
yaxunl accepted this revision.Feb 9 2017, 11:01 AM

LGTM. Thanks!

This revision is now accepted and ready to land.Feb 9 2017, 11:01 AM
This revision was automatically updated to reflect the committed changes.